Jump to content

Archived

This topic is now archived and is closed to further replies.

Enzo_UK

Best version to switch to for PHP7

Recommended Posts

I am currently running on what I think is an early bootstrap version of 2.3.4 and I think its even before the names like Gold and Edge were about.

My host unexpectedly switched me over to PHP7 at the weekend, and my site didn't really like it much... most of it still worked until someone tried to place an order, existing customers could sign it, but think it was getting stuck where it passes you to checkout_shipping.php

I am no expert and just kind of muddle through and learn a bit as I go, but am assuming this is a sessions thing, as that's the only errors I get when I run checkout_shipping.php through a PHP validator.

My host has switched me back onto PHP5.6 for 28 days to allow me to make any changes, but they are saying after that I will have to go to PHP7.

I don't really want to switch hosts to delay the switch, I need to bite the bullet and get up to date, as otherwise I am just delaying the inevitable.

Can someone give me a link to GitHub or where ever I can download a version that will get me running on PHP7 without too much trouble.

My existing version is pretty heavily modified with shipping in cart, checkout without account, custom shipping modules, etc... but I can try and get all that stuff working afterwards, I just need to know I will have a site that people can order on after the end of September.

I am currently using PayPal Pro Hosted, so that's the only thing I need to work from the start, all the other tweaks can come in the weeks afterwards.

Thanks in advance for any help or assistance.

 

 

Share this post


Link to post
Share on other sites

Have just downloaded that and had a look, but the checkout_shipping.php still gives errors on the use of...

session_register()
session_unregister()
session_is_registered()

And when I check them it says "Warning This function has been DEPRECATED as of PHP 5.3.0 and REMOVED as of PHP 5.4.0."

Or is that not even the reason why my checkout_shipping.php doesn't load when running on PHP?

 

Share this post


Link to post
Share on other sites

make sure you uploaded/replaced all files.

If on the same servers/domain like the old version, check for cache issues.

I'm running a store under PHP 7.1 without any problem.

Share this post


Link to post
Share on other sites

Hadn't uploaded anything yet, was just looking at the files in the download, and running them through a validator.

Share this post


Link to post
Share on other sites

I have switched over all the files to the version in the link above, but am still having problems when I switch from PHP5.6 to PHP7, and not getting anything in my error log even though am pretty sure I have reporting turned on.

On PHP5.6 everything works fine, add item to cart and can proceed through checkout, and orders come through as expected.

If I change the bits in my .htaccess so its on PHP7, it works to start with, you can add an item to cart, but from in shopping_cart.php if you try and proceed to either Checkout, or Checkout with PayPal you get a HTTP 500 error.

If anyone could even point me in the right direction I would appreciate it, as I am starting to tear my hair out.

Share this post


Link to post
Share on other sites

Hello Andrew @Enzo_UK,

You may check with your hosting, I had some initial problem with my hosting/server settings which they solved.

You may also report it in the official 2.3.4 BS topic where it is more visible for the PHP 7 update developers:

https://forums.oscommerce.com/topic/396152-bootstrap-3-in-234-responsive-from-the-get-go/?page=88#comment-1759701

Share this post


Link to post
Share on other sites

Is there an easy way to overlay these files on our existing website?  Getting the payment modules configured was a real pain.

Thanks in advance

Share this post


Link to post
Share on other sites

×